*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
img {
    max-width: 100%;
    height: auto;
}
body {
  width: 100%;
  height: 100vh;
  overflow-y: hidden;
  font-size: 16px;
  background: #00310f;
}
.main_layout {
  width: 100%;
  height: 100%;
  display: flex;
}
.poster {
  width: 200px;
  height: 100vh;
  background: linear-gradient(90deg, #024316 0%, #028843 50%, #024316 100%);
  display: flex;
  justify-content: center;
  align-items: center;
}
.post_contents {
  flex: 1;
  overflow-y: auto;
  display: flex;
  justify-content: center;
  background: #f3f3f3;
}
.poster.left img,
.poster.right img {
  width: 320px;
}
.poster.left img {
  transform: rotate(90deg);
}

.poster.right img {
  transform: rotate(-90deg);
}

.posts {
  padding: 30px 15px;
  max-width: 1000px;
  width: 100%;
  margin: 0 auto;
}




@media (min-width: 768px)  {
    .post_contents::-webkit-scrollbar {
        width: 10px;
        background: rgb(0, 131, 55);
      }
      
      .post_contents::-webkit-scrollbar-track {
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
      }
      
      .post_contents::-webkit-scrollbar-thumb {
        background-color: rgb(255, 238, 0);
      }
}


@media (max-width: 1124px) {
  .poster {
    width: 140px;
  }
  .poster.left img,
  .poster.right img {
    width: 220px;
  }
}
@media (max-width: 768px) {
    body {
        overflow: auto;
    }
    .main_layout {
        flex-direction: column;
    }
    .poster.left  {
        width: 100%;
        height: 80px;
        padding: 10px 0;
       }
       .poster.left img {
        transform: rotate(0deg);
        height: 100%;
        width: auto;
       }
    .poster.right  {
     display: none;
    }
    .posts > p {
        margin-left: 10px !important;
    }
  }